List recordings
List all recordings in the workspace. This endpoint is paginated.
/api/v1/spaces/{spaceId}/recordings Path parameters
· 1spaceId string required ID of the workspace. You can find from the url in dashboard when you open the workspace or using the list workspaces endpoint.
Query parameters
· 7limit number · min: 10· max: 500· default: 100 Maximum number of items per page
pagination boolean · default: true required Set to 1 or true.
Exists due to legacy reasons:
Passing this parameter will always give a paginated response. Not passing the parameter will give an array of recordings without the pagination cursors.
before string Optional. Cursor to access the previous page in the recording list.
Set this to prev_cursor value you received from an earlier call to this endpoint
after string Optional. Cursor to access the next page in the recording list.
Set this to next_cursor value you received from an earlier call to this endpoint
recordingFolderId string Optional. Filter recordings by parent folder. When set, only recordings that belong to the specified folder are returned.
orderBy string · default: createdAt· enum Field to sort recordings by. Can be one of:
- createdAt: Sort by creation date
- title: Sort by recording title
- status: Sort by recording status
Defaults to createdAt
values
createdAttitlestatus
orderDirection string · default: desc· enum Sort direction. Can be one of:
- asc: Ascending order
- desc: Descending order
Defaults to desc
values
ascdesc